package com.sv.service.common;

import com.github.pagehelper.PageHelper;
import com.sv.entity.Platform;
import com.sv.mapper.PlatformMapper;
import com.ydd.framework.core.common.Pagination;
import com.ydd.framework.core.service.impl.BaseServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * Service - 平台信息表
 *
 * @author zuojie.Liang
 * @since 2018-08-02
 */
@Service
@Transactional(readOnly = true)
public class PlatformService extends BaseServiceImpl {

	private final Logger logger = LoggerFactory.getLogger(PlatformService.class);

	@Resource
	private PlatformMapper platformMapper;

	/**
	 * 创建平台信息表
	 *
	 * @param platform 平台信息表
	 */
	@Transactional
    public void save(Platform platform) {
		if (platform.getId() != null && platform.getId() > 0) {
			// 更新
			platformMapper.update(platform);
		} else {
			// 新建
			platformMapper.insert(platform);
		}
	}

	/**
	 * 更新平台信息表
 	 *
	 * @param platform 平台信息表
	 */
	@Transactional
    public void update(Platform platform) {
		platformMapper.update(platform);
	}

	/**
	 * 删除平台信息表
	 *
	 * @param id 编号
   	 * @return 删除数量
	 */
	@Transactional
    public Integer delete(Integer id) {
		if (id == null || id <= 0) {
			return 0;
		}
		return platformMapper.delete(id);
	}

	/**
	 * 删除平台信息表
	 *
	 * @param ids 编号数组
	 * @return 删除数量
	 */
	@Transactional
    public Integer deleteByIds(Integer[] ids) {
		if (ids == null || ids.length == 0) {
			return 0;
		}
		return platformMapper.deleteByIds(ids);
	}

	/**
	 * 查询平台信息表
	 *
	 * @param id 编号
	 * @return 平台信息表
	 */
	public Platform findById(Integer id) {
		return platformMapper.findById(id);
	}

	/**
	 * 查询平台信息表
	 *
	 * @param pagination 分页信息
	 * @return 分页结果
	 */
	public Pagination findPage(Pagination pagination) {
		PageHelper.startPage(pagination.getPage(), pagination.getPageSize());
		PageHelper.orderBy("id desc");
		pagination.setQueryResult(platformMapper.findAll());
		return pagination;
	}

}

